Highlight of geometries in Identify tool with "layer choice" mode fails for CompoundCurve and 

CurvePolygon geometries

2016-09-27 11:13 PM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Tools

Affected QGIS version:master_2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23548

Description

When using the identify tool with the "layer choice" mode one gets a context menu with all the hits, if several features are involved. For

simple feature geometry types, the features are highlighted when one selects a feature in the context menu. For wkb geometry types

CompoundCurve and CurvePolygon the highlight doesn't display.

Most likely, it would need to be segmentized before display - or the highlight geometry would have to support these new geometry types.

The interesting thing is that once a feature was definitely chosen, the highlight then suddenly works.

Attached is a small file containing CompoundCurve geometries for testing.

Associated revisions

Revision 5b3f10a5 - 2016-10-03 07:15 AM - Nyall Dawson

Fix identify menu highlight only works with simple geometry types

Fix #15625

Revision 52f702e0 - 2016-10-06 01:09 PM - Nyall Dawson

Fix identify menu highlight only works with simple geometry types

Fix #15625

(cherry-picked from 5b3f10a531765a8c3951fa35a33d7da5a0c27644)

Revision 550716a6 - 2016-10-06 01:49 PM - Nyall Dawson

Fix identify menu highlight only works with simple geometry types

Fix #15625

(cherry-picked from 5b3f10a531765a8c3951fa35a33d7da5a0c27644)

History
#1 - 2016-09-27 11:14 PM - Andreas Neumann

- File landcover_edges.gpkg added

#2 - 2016-10-02 10:00 PM - Nyall Dawson

- Assignee changed from Martin Dobias to Nyall Dawson

#3 - 2016-10-02 10:16 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"5b3f10a531765a8c3951fa35a33d7da5a0c27644".

Files

landcover_edges.gpkg 184 KB 2016-09-27 Andreas Neumann
